Subject: bug#5680 closed by Stefan Monnier <[email-masked]> (Re: bug#5680: 23.1; canot quit infloop by C-g)

From: [email-masked] (Emacs bug Tracking System)
Date: Sat, 06 Mar 2010 01:27:02 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5680: 23.1; canot quit infloop by C-g

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
5680: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5680
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5680: 23.1; canot quit infloop by C-g
From: Stefan Monnier <[email-masked]>
To: ARISAWA Akihiro <[email-masked]>
Date: Fri, 05 Mar 2010 20:19:01 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> Indeed, thanks.  I've just installed the patch below which should fix
> this problem.

Forgot to close it, sorry,

        Stefan

Subject: 23.1; canot quit infloop by C-g
From: ARISAWA Akihiro <[email-masked]>
To: [email-masked]
Date: Fri, 05 Mar 2010 00:35:56 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi developers,

When I evaluate following code and type C-g, I cannot quit a infinity loop.

(funcall (byte-compile (lambda () (while t))))

In emacs-22, I can quit it.

Regards,

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.12.12)
 of 2009-10-19 on debian-build.int-office-er.priv, modified by Debian
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  which-function-mode: t
  icomplete-mode: t
  shell-dirtrack-mode: t
  display-time-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t